=== debian/changelog ===
mana (0.5.2-2) unstable; urgency=low

  * Install missing mana desktop icon.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 29 May 2011 10:25:00 +0200

mana (0.5.2-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Build with hardening-wrapper.
  * Add patch 01-format-security-error.diff, to prevent a FTBFS with enabled
    hardening-wrapper.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 30 Apr 2011 18:16:10 +0200

mana (0.5.1-1) unstable; urgency=low

  * Initial release.
    Closes: #611752

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 20 Mar 2011 10:20:19 +0100
