=== debian/control ===
Source: mana
Section: games
Priority: optional
Homepage: http://www.manasource.org/
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper (>= 7),
 cmake,
 libsdl-gfx1.2-dev,
 libcurl4-gnutls-dev,
 libxml2-dev,
 libphysfs-dev,
 libguichan-dev,
 libsdl-mixer1.2-dev,
 libsdl-net1.2-dev,
 libsdl-ttf2.0-dev,
 hardening-wrapper
Standards-Version: 3.9.2

Package: mana
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mana-data (= ${source:Version})
Description: opensource 2D MMORPG platform client
 The Mana client is developed as part of The Mana Project, which aims to build
 a complete 2D MMORPG platform. This includes a client, server and web
 component, as well as a library of free content that you can use under the
 terms of the GPL.
 .
 This version of the client can connect to a specific version of the eAthena
 server known as tmwAthena, a version with adaptations made as part of The Mana
 World project.

Package: mana-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, mana (= ${binary:Version})
Description: opensource 2D MMORPG platform client (debugging symbols)
 The Mana client is developed as part of The Mana Project, which aims to build
 a complete 2D MMORPG platform. This includes a client, server and web
 component, as well as a library of free content that you can use under the
 terms of the GPL.
 .
 This version of the client can connect to a specific version of the eAthena
 server known as tmwAthena, a version with adaptations made as part of The Mana
 World project.
 .
 This package provides debugging symbols for the mana package.

Package: mana-data
Architecture: all
Depends: ${misc:Depends}, ttf-dejavu-core
Recommends: mana
Description: opensource 2D MMORPG platform client (data files)
 The Mana client is developed as part of The Mana Project, which aims to build
 a complete 2D MMORPG platform. This includes a client, server and web
 component, as well as a library of free content that you can use under the
 terms of the GPL.
 .
 This version of the client can connect to a specific version of the eAthena
 server known as tmwAthena, a version with adaptations made as part of The Mana
 World project.
 .
 This package contains the data files for the mana package.
