=== debian/watch ===
version=3
http://manasource.org/files/mana-(.*)\.tar\.gz
