## mana 0.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 PROJECT(MANA)
 
 IF (NOT VERSION)
-    SET(VERSION 0.5.2)
+    SET(VERSION 0.5.3)
 ENDIF()
 
 STRING(REPLACE "." " " _VERSION ${VERSION})
