=== data/icons/CMakeLists.txt ===
SET(FILES
    mana.png
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/icons)

INSTALL(FILES "mana.png" DESTINATION share/pixmaps)
