=== data/graphics/gui/CMakeLists.txt ===
SET (FILES
    bubble.png
    button.png
    button_disabled.png
    buttonhi.png
    buttonpress.png
    checkbox.png
    circle-gray.png
    circle-green.png
    close_button.png
    colors.xml
    deepbox.png
    hscroll_left_default.png
    hscroll_left_highlight.png
    hscroll_left_pressed.png
    hscroll_right_default.png
    hscroll_right_highlight.png
    hscroll_right_pressed.png
    item_shortcut_bgr.png
    mouse.png
    progress-indicator.png
    radioin.png
    radioin_highlight.png
    radioout.png
    radioout_highlight.png
    resize.png
    selection.png
    slider.png
    slider_hilight.png
    speechbubble.xml
    sticky_button.png
    tab.png
    tab_hilight.png
    tabselected.png
    target-cursor-blue-l.png
    target-cursor-blue-m.png
    target-cursor-blue-s.png
    target-cursor-red-l.png
    target-cursor-red-m.png
    target-cursor-red-s.png
    unknown-item.png
    vscroll_down_default.png
    vscroll_down_highlight.png
    vscroll_down_pressed.png
    vscroll_grey.png
    vscroll_highlight.png
    vscroll_up_default.png
    vscroll_up_highlight.png
    vscroll_up_pressed.png
    window.png
    window.xml
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/graphics/gui)
