=== debian/changelog ===
mana (0.5.3-1) unstable; urgency=low

  * New upstream release.
    - Remove merged patch 01-format-security-error.
  * Add missing build-arch and build-indep targets.
  * Override false positive lintian warnings about broken symlinks.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 18 Sep 2011 15:50:58 +0200
