=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,10 @@
 	cd build && $(MAKE)
 	touch build-stamp
 
+build-arch: build
+
+build-indep: build
+
 clean:
 	dh_testdir
 	dh_testroot
@@ -44,6 +48,7 @@
 	dh_installchangelogs -i ChangeLog
 	dh_installdocs -i
 	dh_install -i
+	dh_lintian -i
 	dh_link -i
 	dh_compress -i
 	dh_fixperms -i
