## mana 0.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 PROJECT(MANA)
 
 IF (NOT VERSION)
-    SET(VERSION 0.5.3)
+    SET(VERSION 0.6.0)
 ENDIF()
 
 STRING(REPLACE "." " " _VERSION ${VERSION})
@@ -38,7 +38,7 @@
     SET(LOCALEDIR ".")
     CONFIGURE_FILE(src/winver.h.in src/winver.h)
 ELSE (WIN32)
-    IF (NOT OSX)
+    IF (NOT OSX AND NOT BEOS)
         OPTION(USE_X11 "Use X11 Clipboard functionality" ON)
     ENDIF ()
     SET(PKG_DATADIR ${CMAKE_INSTALL_PREFIX}/share/mana)
