=== src/CMakeLists.txt ===
--- 
+++ 
@@ -34,13 +34,16 @@
 SET(FLAGS "-DPACKAGE_VERSION=\\\"${VERSION}\\\"")
 SET(FLAGS "${FLAGS} -DPKG_DATADIR=\\\"${PKG_DATADIR}/\\\"")
 SET(FLAGS "${FLAGS} -DLOCALEDIR=\\\"${LOCALEDIR}/\\\"")
+SET(FLAGS "${FLAGS} -std=c++0x")
 
 IF (ENABLE_NLS)
     SET(FLAGS "${FLAGS} -DENABLE_NLS=1")
+    MESSAGE(STATUS "i18n support enabled")
 ENDIF()
 
 IF (ENABLE_MANASERV)
     SET(FLAGS "${FLAGS} -DMANASERV_SUPPORT=1")
+    MESSAGE(STATUS "Manaserv support enabled")
 ENDIF()
 
 IF (CMAKE_BUILD_TYPE)
@@ -48,13 +51,14 @@
     IF(CMAKE_BUILD_TYPE_TOLOWER MATCHES debug OR
        CMAKE_BUILD_TYPE_TOLOWER MATCHES relwithdebinfo)
         SET(FLAGS "${FLAGS} -DDEBUG")
+        MESSAGE(STATUS "Set Debug build type")
     ENDIF()
 ENDIF()
 
 IF (WIN32)
     SET(EXTRA_LIBRARIES ws2_32 winmm)
     FIND_PACKAGE(LibIntl REQUIRED)
-ELSEIF (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
+ELSEIF (CMAKE_SYSTEM_NAME STREQUAL "Darwin" OR BEOS)
     FIND_PACKAGE(LibIntl REQUIRED)
 ELSEIF (CMAKE_SYSTEM_NAME STREQUAL SunOS)
     # explicit linking to libintl is required on Solaris
@@ -68,6 +72,7 @@
     FIND_PACKAGE(OpenGL REQUIRED)
     INCLUDE_DIRECTORIES(${OPENGL_INCLUDE_DIR})
     SET(FLAGS "${FLAGS} -DUSE_OPENGL")
+    MESSAGE(STATUS "OpenGL support enabled")
 ENDIF (WITH_OPENGL)
 
 IF (USE_X11)
@@ -188,6 +193,8 @@
     gui/widgets/shortcutcontainer.h
     gui/widgets/slider.cpp
     gui/widgets/slider.h
+    gui/widgets/spacer.cpp
+    gui/widgets/spacer.h
     gui/widgets/tab.cpp
     gui/widgets/tab.h
     gui/widgets/tabbedarea.cpp
@@ -212,10 +219,10 @@
     gui/widgets/windowcontainer.h
     gui/beingpopup.cpp
     gui/beingpopup.h
-    gui/buy.cpp
-    gui/buy.h
-    gui/buysell.cpp
-    gui/buysell.h
+    gui/buydialog.cpp
+    gui/buydialog.h
+    gui/buyselldialog.cpp
+    gui/buyselldialog.h
     gui/changeemaildialog.cpp
     gui/changeemaildialog.h
     gui/changepassworddialog.cpp
@@ -224,12 +231,14 @@
     gui/charselectdialog.h
     gui/charcreatedialog.cpp
     gui/charcreatedialog.h
-    gui/chat.cpp
-    gui/chat.h
+    gui/chatwindow.cpp
+    gui/chatwindow.h
     gui/confirmdialog.cpp
     gui/confirmdialog.h
     gui/connectiondialog.cpp
     gui/connectiondialog.h
+    gui/customserverdialog.cpp
+    gui/customserverdialog.h
     gui/debugwindow.cpp
     gui/debugwindow.h
     gui/emotepopup.cpp
@@ -240,20 +249,20 @@
     gui/focushandler.h
     gui/gui.cpp
     gui/gui.h
-    gui/help.cpp
-    gui/help.h
+    gui/helpwindow.cpp
+    gui/helpwindow.h
     gui/inventorywindow.cpp
     gui/inventorywindow.h
     gui/itempopup.cpp
     gui/itempopup.h
-    gui/itemamount.cpp
-    gui/itemamount.h
-    gui/login.cpp
-    gui/login.h
+    gui/itemamountwindow.cpp
+    gui/itemamountwindow.h
+    gui/logindialog.cpp
+    gui/logindialog.h
     gui/minimap.cpp
     gui/minimap.h
-    gui/ministatus.cpp
-    gui/ministatus.h
+    gui/ministatuswindow.cpp
+    gui/ministatuswindow.h
     gui/npcdialog.cpp
     gui/npcdialog.h
     gui/npcpostdialog.cpp
@@ -274,8 +283,8 @@
     gui/register.h
     gui/sdlinput.cpp
     gui/sdlinput.h
-    gui/sell.cpp
-    gui/sell.h
+    gui/selldialog.cpp
+    gui/selldialog.h
     gui/serverdialog.cpp
     gui/serverdialog.h
     gui/setup.cpp
@@ -284,6 +293,8 @@
     gui/setup_audio.h
     gui/setup_colors.cpp
     gui/setup_colors.h
+    gui/setup_interface.cpp
+    gui/setup_interface.h
     gui/setup_joystick.cpp
     gui/setup_joystick.h
     gui/setup_keyboard.cpp
@@ -308,18 +319,14 @@
     gui/textdialog.h
     gui/textpopup.cpp
     gui/textpopup.h
-    gui/theme.cpp
-    gui/theme.h
-    gui/trade.cpp
-    gui/trade.h
+    gui/tradewindow.cpp
+    gui/tradewindow.h
     gui/truetypefont.cpp
     gui/truetypefont.h
     gui/unregisterdialog.cpp
     gui/unregisterdialog.h
-    gui/updatewindow.cpp
-    gui/updatewindow.h
-    gui/userpalette.cpp
-    gui/userpalette.h
+    gui/updaterwindow.cpp
+    gui/updaterwindow.h
     gui/viewport.cpp
     gui/viewport.h
     gui/windowmenu.cpp
@@ -358,12 +365,14 @@
     resources/ambientlayer.h
     resources/animation.cpp
     resources/animation.h
-    resources/colordb.cpp
-    resources/colordb.h
+    resources/beinginfo.cpp
+    resources/beinginfo.h
     resources/dye.cpp
     resources/dye.h
     resources/emotedb.cpp
     resources/emotedb.h
+    resources/hairdb.cpp
+    resources/hairdb.h
     resources/image.cpp
     resources/image.h
     resources/imageloader.cpp
@@ -380,8 +389,6 @@
     resources/mapreader.h
     resources/monsterdb.cpp
     resources/monsterdb.h
-    resources/monsterinfo.cpp
-    resources/monsterinfo.h
     resources/music.cpp
     resources/music.h
     resources/npcdb.cpp
@@ -392,8 +399,14 @@
     resources/resourcemanager.h
     resources/soundeffect.h
     resources/soundeffect.cpp
+    resources/specialdb.cpp
+    resources/specialdb.h
     resources/spritedef.h
     resources/spritedef.cpp
+    resources/theme.cpp
+    resources/theme.h
+    resources/userpalette.cpp
+    resources/userpalette.h
     resources/wallpaper.cpp
     resources/wallpaper.h
     utils/base64.cpp
@@ -403,6 +416,8 @@
     utils/dtor.h
     utils/gettext.h
     utils/mathutils.h
+    utils/physfsrwops.c
+    utils/physfsrwops.h
     utils/sha256.cpp
     utils/sha256.h
     utils/stringutils.cpp
@@ -414,6 +429,12 @@
     utils/xml.h
     utils/zlib.cpp
     utils/zlib.h
+    actor.cpp
+    actor.h
+    actorsprite.cpp
+    actorsprite.h
+    actorspritemanager.cpp
+    actorspritemanager.h
     animatedsprite.cpp
     animatedsprite.h
     animationparticle.cpp
@@ -422,8 +443,8 @@
     avatar.h
     being.cpp
     being.h
-    beingmanager.cpp
-    beingmanager.h
+    chatlogger.cpp
+    chatlogger.h
     client.cpp
     client.h
     channel.cpp
@@ -431,46 +452,3 @@
     channelmanager.cpp
     channelmanager.h
     commandhandler.cpp
-    commandhandler.h
-    configlistener.h
-    configuration.cpp
-    configuration.h
-    effectmanager.cpp
-    effectmanager.h
-    emoteshortcut.cpp
-    emoteshortcut.h
-    equipment.h
-    flooritem.cpp
-    flooritem.h
-    flooritemmanager.cpp
-    flooritemmanager.h
-    game.cpp
-    game.h
-    graphics.cpp
-    graphics.h
-    guichanfwd.h
-    guild.cpp
-    guild.h
-    imageparticle.cpp
-    imageparticle.h
-    inventory.cpp
-    inventory.h
-    item.cpp
-    item.h
-    itemshortcut.cpp
-    itemshortcut.h
-    joystick.cpp
-    joystick.h
-    keyboardconfig.cpp
-    keyboardconfig.h
-    localplayer.cpp
-    localplayer.h
-    log.cpp
-    log.h
-    main.cpp
-    main.h
-    map.cpp
-    map.h
-    monster.cpp
-    monster.h
-    npc.cpp
