=== debian/changelog ===
mana (0.6.0-2) unstable; urgency=low

  * Install missing link on DejaVuSansMono.ttf, without it tmw can not start.
    Closes: #660065

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 16 Feb 2012 11:14:08 +0100

mana (0.6.0-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 13 Feb 2012 18:13:54 +0100

mana (0.5.3-2) unstable; urgency=low

  * Only honor 0.x releases in debian/watch.
  * Remove unused lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 28 Jan 2012 16:32:20 +0100
