## mana 0.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 PROJECT(MANA)
 
 IF (NOT VERSION)
-    SET(VERSION 0.6.0)
+    SET(VERSION 0.6.1)
 ENDIF()
 
 STRING(REPLACE "." " " _VERSION ${VERSION})
@@ -31,6 +31,7 @@
 OPTION(WITH_OPENGL "Enable OpenGL support" ON)
 OPTION(ENABLE_NLS "Enable building of tranlations" ON)
 OPTION(ENABLE_MANASERV "Enable Manaserv support" OFF)
+OPTION(ENABLE_CPP0X "Enable use of C++0x features" ON)
 
 IF (WIN32)
     SET(PKG_DATADIR ".")
