=== src/CMakeLists.txt ===
--- 
+++ 
@@ -34,7 +34,11 @@
 SET(FLAGS "-DPACKAGE_VERSION=\\\"${VERSION}\\\"")
 SET(FLAGS "${FLAGS} -DPKG_DATADIR=\\\"${PKG_DATADIR}/\\\"")
 SET(FLAGS "${FLAGS} -DLOCALEDIR=\\\"${LOCALEDIR}/\\\"")
-SET(FLAGS "${FLAGS} -std=c++0x")
+IF (ENABLE_CPP0X)
+    SET(FLAGS "${FLAGS} -std=c++0x -DENABLE_CPP0X=1")
+ELSE()
+    INCLUDE_DIRECTORIES("cpp0x_compat")
+ENDIF()
 
 IF (ENABLE_NLS)
     SET(FLAGS "${FLAGS} -DENABLE_NLS=1")
@@ -447,8 +451,3 @@
     chatlogger.h
     client.cpp
     client.h
-    channel.cpp
-    channel.h
-    channelmanager.cpp
-    channelmanager.h
-    commandhandler.cpp
