=== data/fonts/CMakeLists.txt ===
SET (FILES
    dejavusans.ttf
    dejavusans-bold.ttf
    dejavusans-mono.ttf
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/fonts)
