=== data/graphics/CMakeLists.txt ===
ADD_SUBDIRECTORY(gui)
ADD_SUBDIRECTORY(images)
ADD_SUBDIRECTORY(sprites)

SET (FILES
    target-cursor-in-range-l.png
    target-cursor-in-range-m.png
    target-cursor-in-range-s.png
    target-cursor-normal-l.png
    target-cursor-normal-m.png
    target-cursor-normal-s.png
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/graphics/)
