=== libs/enet/CMakeLists.txt ===
--- 
+++ 
@@ -52,4 +52,7 @@
 INCLUDE_DIRECTORIES("include")
 
 ADD_LIBRARY(enet STATIC ${SRCS})
+IF (BEOS)
+  TARGET_LINK_LIBRARIES(enet network)
+ENDIF()
 SET_TARGET_PROPERTIES(enet PROPERTIES COMPILE_FLAGS "${FLAGS}")
