=== data/graphics/images/CMakeLists.txt ===
SET(FILES
    login_wallpaper.png
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/graphics/images)
