=== debian/changelog ===
mana (0.6.1-4) unstable; urgency=low

  * Update debian/watch to new file location.
  * Migrate to minimal debhelper.
  * Bump debian/compat to level 9.
  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 18 May 2013 21:16:41 +0200

mana (0.6.1-3) experimental; urgency=low

  * Fix debian/watch to only check for releases with dots and decimals.
  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Switch to xz compression and add a Pre-Depends on dpkg.
  * Add lintian override for false positive hardening-no-fortify-functions
    warning.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 12 Dec 2012 11:27:39 +0100

mana (0.6.1-2) unstable; urgency=high

  * Add upstream patch 01-gcc47-ftbfs to fix a FTBFS with GCC 4.7.
    Closes: #672823
  * Deactivate C++0x compilation since the linker will fail on guichan with
    GCC 4.7.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 14 May 2012 18:57:35 +0200

mana (0.6.1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.3 (no changes needed).
  * Wrap all debian/control fields.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 03 Apr 2012 12:45:59 +0200
