=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Homepage: http://www.manasource.org/
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Build-Depends: debhelper (>= 7),
+Build-Depends: debhelper (>= 9),
  cmake,
  libsdl-gfx1.2-dev,
  libcurl4-gnutls-dev,
@@ -14,11 +14,14 @@
  libsdl-net1.2-dev,
  libsdl-ttf2.0-dev,
  hardening-wrapper
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 
 Package: mana
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, mana-data (= ${source:Version})
+Pre-Depends: dpkg (>= 1.15.6~)
+Depends: ${shlibs:Depends},
+ ${misc:Depends},
+ mana-data (= ${source:Version})
 Description: opensource 2D MMORPG platform client
  The Mana client is developed as part of The Mana Project, which aims to build
  a complete 2D MMORPG platform. This includes a client, server and web
@@ -33,7 +36,9 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: ${misc:Depends}, mana (= ${binary:Version})
+Pre-Depends: dpkg (>= 1.15.6~)
+Depends: ${misc:Depends},
+ mana (= ${binary:Version})
 Description: opensource 2D MMORPG platform client (debugging symbols)
  The Mana client is developed as part of The Mana Project, which aims to build
  a complete 2D MMORPG platform. This includes a client, server and web
@@ -48,7 +53,9 @@
 
 Package: mana-data
 Architecture: all
-Depends: ${misc:Depends}, ttf-dejavu-core
+Pre-Depends: dpkg (>= 1.15.6~)
+Depends: ${misc:Depends},
+ ttf-dejavu-core
 Recommends: mana
 Description: opensource 2D MMORPG platform client (data files)
  The Mana client is developed as part of The Mana Project, which aims to build
