=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1

DEB_BUILD_EXTRA_FLAGS := \
	-D ENABLE_CPP0X=OFF \
	-D CMAKE_BUILD_TYPE=Debug \
	-D CMAKE_INSTALL_PREFIX=/usr

%:
	dh $@

override_dh_auto_configure:
	[ -d build ] || mkdir build
	cd build && cmake  $(DEB_BUILD_EXTRA_FLAGS) ..

override_dh_auto_build:
	cd build && $(MAKE)

override_dh_auto_install:
	cd build && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

override_dh_auto_clean:
	rm -rf $(CURDIR)/debian/tmp
	rm -rf $(CURDIR)/build

override_dh_install:
	rm -rf $(CURDIR)/debian/tmp/usr/share/mana/data/fonts/
	dh_install

override_dh_strip:
	dh_strip --dbg-package=mana-dbg

override_dh_builddeb:
	dh_builddeb -- -Zxz
