=== debian/watch ===
version=3
http://files.manasource.org/mana-([\d.]+)\.tar\.gz
